Subject: Re: Photo

From: "Terra" <[email-masked]>
Date: Sun, 27 May 2007 10:18:47 -0800

Hi,
Hope I am not writing to wrong address. I am nice, pretty looking
girl. I am planning bon visiting your town this monbth. Can 
we meet each other in person? Message me back at [email-masked]